Updating old plugins

Discussion in 'Spigot Plugin Help' started by Gen0ezTeam, Jun 14, 2021.

  1. The bukkit games was meant to work with all future versions of Minecraft, however it doesn't, as far as I know, apparently the API changed, is there a tutorial I could follow to update the plugin for myself?
     
  2. What does what mean? It's a hunger games plugin, probably the only decent one available atm but it's outdated even though it was meant to work with all future versions of Minecraft. Ftbastler has failed us :-(
     
  3. Don't modify it unless it's your plugin.
     
  4. If the plugin is not yours, you cannot edit it.
     
    • Optimistic Optimistic x 2
  5. IIRC it is open source, I'll need to go back and check. Regardless, I don't see a problem with updating a plugin to work with newer versions of Minecraft. It's a lot easier than literally making the entire thing from scratch and saying it's your own.
     
  6. That's nonsense.
     
  7. what?
     
  8. Of course you can customize the plugins that you're using. Most of them are open source, but that's not even the point. You can easily deobfuscate and decompile the plugins, plunk them in intellij, fix up a few tiny things, or just fork the public repo, and compile the plugin and use that.

    What you obviously shouldn't do is take someone's work and distribute it as your own; which isn't the discussion here.
     
    • Agree Agree x 6
  9. Are there any tutorials you recommend that will help me with updating this plugin?
     
  10. As of 1.13, the Material name has been changed. Helpful resources click here
     
  11. Right, I've looked through, so I may just need to change certain code to exhibit the right Material name?